GET

/api/v1/exchanges/types_to_connect

Permission: NONESecurity: NONE / PUBLIC

Returns the available account subtypes (Spot, Futures, Unified) for connection by the user for a specific exchange and pair of keys.

Query Parameters

typestring required

Name of the exchange in the Quentrade system (e.g. 'binance', 'bybit', 'okx', 'indodax').

namestring

Custom label or account name for the exchange connection.

api_keystring

API-key for this exchange account (optional for public subtype checks).

secretstring

Secret-key for this exchange account.

Example Request

GET/api/v1/exchanges/types_to_connect?type=bybit

Response Parameters

typestring

The exchange subtype code available to connect (e.g. 'bybit_spot', 'bybit_futures').

connectedboolean

Indicates whether the exchange subtype is currently connected (true) or not (false).

availableboolean

Indicates whether this account subtype is available for connection (true) or not (false).

unifiedboolean

Shows if the exchange supports a unified trading account (e.g. Bybit UTA).

Example Responses

market_subtypes_200.json
200 OK
[
  {
    "type": "bybit_spot",
    "connected": true,
    "available": true,
    "unified": true
  },
  {
    "type": "bybit_futures",
    "connected": false,
    "available": true,
    "unified": true
  }
]